Main Page Widgets Namespaces Book

# Gtk::PrintUnixDialog Class Reference

Inheritance diagram for Gtk::PrintUnixDialog:

[legend]
List of all members.

## Public Member Functions

int | get_current_page () const
Glib::RefPtr<const PageSetup> | get_page_setup () const
Glib::RefPtr<PageSetup> | get_page_setup ()
Glib::RefPtr<const Printer> | get_selected_printer () const
Glib::RefPtr<Printer> | get_selected_printer ()
Glib::RefPtr<const PrintSettings> | get_settings () const
Glib::RefPtr<PrintSettings> | get_settings ()
| Gets the settings object holding the settings (global property settings, RC file information, etc) used for this widget.
const GtkPrintUnixDialog* | gobj () const
| Provides access to the underlying C GtkObject.
GtkPrintUnixDialog* | gobj ()
| Provides access to the underlying C GtkObject.
| PrintUnixDialog (const Glib::ustring& title)
| PrintUnixDialog (Gtk::Window& parent, const Glib::ustring& title)
void | set_current_page (int current_page)
void | set_page_setup (const Glib::RefPtr<PageSetup>& page_setup)
void | set_settings (const Glib::RefPtr<PrintSettings>& print_settings)
virtual | ~PrintUnixDialog ()

## Related Functions

(Note that these are not member functions.)
Gtk::PrintUnixDialog* | wrap (GtkPrintUnixDialog* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::PrintUnixDialog::~PrintUnixDialog | ( |  | ) | `[virtual]`

Gtk::PrintUnixDialog::PrintUnixDialog | ( | Gtk::Window& | parent,
|  | const Glib::ustring& | title
| ) | `[explicit]`

Gtk::PrintUnixDialog::PrintUnixDialog | ( | const Glib::ustring& | title | ) | `[explicit]`

## Member Function Documentation

int Gtk::PrintUnixDialog::get_current_page | ( |  | ) | const

Glib::RefPtr<const PageSetup> Gtk::PrintUnixDialog::get_page_setup | ( |  | ) | const

Glib::RefPtr<PageSetup> Gtk::PrintUnixDialog::get_page_setup | ( |  | ) |

Glib::RefPtr<const Printer> Gtk::PrintUnixDialog::get_selected_printer | ( |  | ) | const

Glib::RefPtr<Printer> Gtk::PrintUnixDialog::get_selected_printer | ( |  | ) |

Glib::RefPtr<const PrintSettings> Gtk::PrintUnixDialog::get_settings | ( |  | ) | const

Glib::RefPtr<PrintSettings> Gtk::PrintUnixDialog::get_settings | ( |  | ) |

Gets the settings object holding the settings (global property settings, RC file information, etc) used for this widget.

Note that this function can only be called when the Gtk::Widget is attached to a toplevel, since the settings object is specific to a particular Gdk::Screen.

Returns:
  The relevant Gtk::Settings object.

Reimplemented from Gtk::Widget.

const GtkPrintUnixDialog* Gtk::PrintUnixDialog::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Dialog.

GtkPrintUnixDialog* Gtk::PrintUnixDialog::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GtkObject. Reimplemented from Gtk::Dialog.

void Gtk::PrintUnixDialog::set_current_page | ( | int | current_page | ) |

void Gtk::PrintUnixDialog::set_page_setup | ( | const Glib::RefPtr<PageSetup>& | page_setup | ) |

void Gtk::PrintUnixDialog::set_settings | ( | const Glib::RefPtr<PrintSettings>& | print_settings | ) |

## Friends And Related Function Documentation

Gtk::PrintUnixDialog* wrap | ( | GtkPrintUnixDialog* | object,
|  | bool | take_copy = `false`
| ) | `[related]`

Parameters:

  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- printunixdialog.h